{% set CodiceModulo = "VAR_PER_TRA" %}
{% set Urn = "document:c_d643:viabilita;zona.traffico.limitato;modifica;domanda" %}
{% set Urn_procedimento = "transito.zona.traffico.limitato.variazione:permesso" %}
{% set allegati=[
{ "codice":"CAR-CIR-VEI",
  "urn":"document:s_italia:viabilita;transito.mezzi.pesanti;carta.circolazione.veicolo;documentazione",
  "descrizione_tabella_allegati":"Carta di circolazione del veicolo",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Carta circolazione veicolo",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"#Tassonomia_ZTLVariazioni4.checked() || #Tassonomia_ZTLVariazioni2.checked()",
  "dynamic_check":"#Tassonomia_ZTLVariazioni4.checked() || #Tassonomia_ZTLVariazioni2.checked()",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn"
},
 { "codice":"DAE-CDI",
   "urn":"document:s_italia:generale;documento.identita;documentazione",
   "descrizione_tabella_allegati":"copia del documento di identità",
   "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
   "descrizione_meta":"", 
   "filename":"Documento identita",
   "firmatari":"Titolare_CodiceFiscale",
   "firmatari_label":"il dichiarante",
   "firmato":"NO",
   "numero":"1",
   "dimensione":"15",
   "enabled":"",
   "dynamic_check":"",
   "tipo":"allegato",
   "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
 }
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo="Polizia locale"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di variazione del permesso per transito in zona a traffico limitato"
destinatario_amministrazione=""
destinatario_ufficio="UOPOLIZIALOCALE"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
generabile_da="RICH_RIL_ZTL,RICH_VAR_ZTL,RICH_RINN_DUPL_ZTL"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.1|17/05/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
   {% if allegato['tipo'] == "allegato" %}
    <meta codice_allegato="{{ allegato['codice'] }}"
     urn_allegato="{{ allegato['urn'] }}"
     descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
     filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
     firmatari="{{ allegato['firmatari'] }}"
     firmatari_label="{{ allegato['firmatari_label'] }}"
     firmato="{{ allegato['firmato'] }}"
     name="GLOBO_allegato"
     numero="{{ allegato['numero'] }}"
     dimensione_massima="{{ allegato['dimensione'] }}"
     obbligatorio="DINAMICO"
     tipo_mime="{{ allegato['tipo_mime'] }}"/>
   {% elif allegato['tipo'] == "secondario" %} 
     <meta codice_modulo_figlio="{{ allegato['codice'] }}"
     urn_modulo_figlio="{{ allegato['urn'] }}"
     name="GLOBO_modulofiglio"
     numero="{{ allegato['numero'] }}"
     obbligatorio="DINAMICO"/>
   {% endif %}{% endfor %}

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %}Domanda di variazione del permesso per transito in zona a traffico limitato{% endblock title %}

{% block content %}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - zona a traffico limitato (variazione permesso)'" id="Oggetto" name="Oggetto" type="hidden"/>

<input id="Tassonomi_TipoIstanzaZTL7" name="Tassonomi_TipoIstanzaZTL" type="hidden" value="7"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Domanda di variazione del permesso per transito in zona a traffico limitato </div>
  <div class="title-2"> Ai sensi dell'articolo 7 del Decreto legislativo 30/04/1992, n. 285 </div>
</div>

<!-- Ulteriori ruoli disponibili: Responsabile unico del procedimento, Procuratore con potere di rappresentanza legale, Incaricato dell’impresa di onoranze funebri, Direttore tecnico, Gestore, Dipendente, Delegato -->
{{ anagrafica.societa(prefix='Titolare', 
                      intestazione="Il sottoscritto", 
                      ruoli=["Persona fisica", "Titolare", "Legale rappresentante"], 
                      Solo1="Richiedente", 
                      visibility_mail="mail_ordinaria", 
                      pec_obbligatoria="false", 
                      cciaa_visibile="false", 
                      campi_readonly="readonly", 
                      visibility_residenza="visibility:visibility", 
                      visibility_asterisco_ruolo="display:none", 
                      tipologia_associazione="false", 
                      mailordinaria_obbligatoria="false", 
                      tipologia_entepubblico="false", 
                      visibility_codice_fatturazione="false") }}

{{utils.domicilio_digitale()}}

<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> l'aggiornamento del permesso per transito in zona a traffico limitato </div>
</div>
<div class="container border bg-light">
  <div class="form-row" mandatory_enabled="true">
    <div class="form-group col-lg-6">
      <label for="Parametri_PermessoCorrente"> Numero </label>
      <input class="form-control" id="Parametri_PermessoCorrente" name="Parametri_PermessoCorrente" label="Numero permesso">
    </div>
    <div class="form-group col-lg-6">
      <label for="Parametri_PermessoCorrenteData"> Data rilascio </label>
      <input class="form-control" id="Parametri_PermessoCorrenteData" name="Parametri_PermessoCorrenteData" label="Data rilascio permesso" format="date">
    </div>
  </div>
</div>

<globo_salto_pagina></globo_salto_pagina>


<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> a seguito di </span>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Motivazione alla base della domanda </label>
    </div>
  </div>
  <div class="form-check indent-1">
    <div id="Comunica" name="Comunica" label="Comunica" mandatory_enabled="true"></div>
    <input class="form-check-input" group="Comunica" id="Tassonomia_ZTLVariazioni1" name="Tassonomia_ZTLVariazioni1" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_ZTLVariazioni1">  variazione della propria residenza <div class="space-0"></div> <span class="infoes"> (i nuovi dati sono quelli sopra indicati) </span></label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Comunica" id="Tassonomia_ZTLVariazioni4" name="Tassonomia_ZTLVariazioni4" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_ZTLVariazioni4"> aggiunta di un nuovo veicolo </label>
    <div class="form-row" mandatory_enabled="#Tassonomia_ZTLVariazioni4.checked()">
      <div class="form-group col-lg-2">
        <label for="Parametri_VeicoloTarga1"> Targa </label>
        <input class="form-control" id="Parametri_VeicoloTarga1" name="Parametri_VeicoloTarga1" label="Targa veicolo" format="alphanumeric">
      </div>
      <div class="form-group col-lg-2">
        <label for="Parametri_VeicoloAlimentazione1"> Alimentazione </label>
        <input class="form-control" id="Parametri_VeicoloAlimentazione1" name="Parametri_VeicoloAlimentazione1" label="Alimentazione">
      </div>
      <div class="form-group col-lg-2">
        <label for="Parametri_VeicoloClasse1"> Classe </label>
        <select class="form-control custom-select" id="Parametri_VeicoloClasse1" name="Parametri_VeicoloClasse1" label="Classe">
          <option value=""></option>
          <option value="autoveicolo">autoveicolo</option>
          <option value="motoveicolo">motoveicolo</option>
        </select>
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_VeicoloCognome1"> Cognome intestatario </label>
        <input class="form-control" id="Parametri_VeicoloCognome1" name="Parametri_VeicoloCognome1" label="Cognome intestatario veicolo">
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_VeicoloNome1"> Nome intestatario </label>
        <input class="form-control" id="Parametri_VeicoloNome1" name="Parametri_VeicoloNome1" label="Nome intestatario veicolo">
      </div>
      <div class="col-lg-12">
        <span class="title"> pertanto allega copia della carta di circolazione del veicolo </span>
      </div>
    </div>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" group="Comunica" id="Tassonomia_ZTLVariazioni2" name="Tassonomia_ZTLVariazioni2" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_ZTLVariazioni2"> sostituzione di un veicolo </label>
    <div class="form-row" mandatory_enabled="#Tassonomia_ZTLVariazioni2.checked()">
      <div class="form-group col-lg-12">
        <label for=""> Precedente veicolo </label>
      </div>
      <div class="form-group col-lg-2">
        <label for="Parametri_VeicoloTargaOld"> Targa </label>
        <input class="form-control" id="Parametri_VeicoloTargaOld" name="Parametri_VeicoloTargaOld" label="Targa veicolo" format="alphanumeric">
      </div>
      <div class="form-group col-lg-2">
        <label for="Parametri_VeicoloAlimentazioneOld"> Alimentazione </label>
        <input class="form-control" id="Parametri_VeicoloAlimentazioneOld" name="Parametri_VeicoloAlimentazioneOld" label="Alimentazione">
      </div>
      <div class="form-group col-lg-2">
        <label for="Parametri_VeicoloClasseOld"> Classe </label>
        <select class="form-control custom-select" id="Parametri_VeicoloClasseOld" name="Parametri_VeicoloClasseOld" label="Classe">
          <option value=""></option>
          <option value="autoveicolo">autoveicolo</option>
          <option value="motoveicolo">motoveicolo</option>
        </select>
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_VeicoloCognomeOld"> Cognome intestatario </label>
        <input class="form-control" id="Parametri_VeicoloCognomeOld" name="Parametri_VeicoloCognomeOld" label="Cognome intestatario veicolo">
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_VeicoloNomeOld"> Nome intestatario </label>
        <input class="form-control" id="Parametri_VeicoloNomeOld" name="Parametri_VeicoloNomeOld" label="Nome intestatario veicolo">
      </div>
    </div>
    <div class="form-row" mandatory_enabled="#Tassonomia_ZTLVariazioni2.checked()">
      <div class="form-group col-lg-12">
        <label for=""> Nuovo veicolo </label>
      </div>
      <div class="form-group col-lg-2">
        <label for="Parametri_VeicoloTargaNew"> Targa </label>
        <input class="form-control" id="Parametri_VeicoloTargaNew" name="Parametri_VeicoloTargaNew" label="Targa veicolo" format="alphanumeric">
      </div>
      <div class="form-group col-lg-2">
        <label for="Parametri_VeicoloAlimentazioneNew"> Alimentazione </label>
        <input class="form-control" id="Parametri_VeicoloAlimentazioneNew" name="Parametri_VeicoloAlimentazioneNew" label="Alimentazione">
      </div>
      <div class="form-group col-lg-2">
        <label for="Parametri_VeicoloClasseNew"> Classe </label>
        <select class="form-control custom-select" id="Parametri_VeicoloClasseNew" name="Parametri_VeicoloClasseNew" label="Classe">
          <option value=""></option>
          <option value="autoveicolo">autoveicolo</option>
          <option value="motoveicolo">motoveicolo</option>
        </select>
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_VeicoloCognomeNew"> Cognome intestatario </label>
        <input class="form-control" id="Parametri_VeicoloCognomeNew" name="Parametri_VeicoloCognomeNew" label="Cognome intestatario veicolo">
      </div>
      <div class="form-group col-lg-3">
        <label for="Parametri_VeicoloNomeNew"> Nome intestatario </label>
        <input class="form-control" id="Parametri_VeicoloNomeNew" name="Parametri_VeicoloNomeNew" label="Nome intestatario veicolo">
      </div>
      <div class="col-lg-12">
        <span class="title"> pertanto allega copia della carta di circolazione del veicolo </span>
      </div>
    </div>
  </div>
  <div class="form-check indent-1">
      <input class="form-check-input" group="Comunica" id="Tassonomia_ZTLVariazioni5" name="Tassonomia_ZTLVariazioni5" type="checkbox" value="SI">
      <label class="form-check-label text-justify" for="Tassonomia_ZTLVariazioni5"> altra variazione </label>
    <div class="form-row" mandatory_enabled="#Tassonomia_ZTLVariazioni5.checked()">
      <div class="form-group col-lg-12">
        <label for="Parametri_AltraVariazione"> Descrizione variazione </label>
        <input class="form-control" id="Parametri_AltraVariazione" name="Parametri_AltraVariazione" label="Descrizione variazione">
      </div>
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
